summaryrefslogtreecommitdiff
path: root/dev-python/python-dbusmock
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/python-dbusmock
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/python-dbusmock')
-rw-r--r--dev-python/python-dbusmock/Manifest2
-rw-r--r--dev-python/python-dbusmock/metadata.xml17
-rw-r--r--dev-python/python-dbusmock/python-dbusmock-0.38.1.ebuild54
3 files changed, 73 insertions, 0 deletions
diff --git a/dev-python/python-dbusmock/Manifest b/dev-python/python-dbusmock/Manifest
new file mode 100644
index 000000000000..d5de96971d9a
--- /dev/null
+++ b/dev-python/python-dbusmock/Manifest
@@ -0,0 +1,2 @@
+DIST python_dbusmock-0.38.1.tar.gz 108144 BLAKE2B fc0353759e4b69675af4edcf4d3824bee007ec77ae903508dcc03cee6df24f527e9fc819503ee4bdc67e880d215bb4fce71c183b5fc24fc2a0d38bc1739b7b1c SHA512 3bfd069f977171045338bd76862660a0e088e99aa000261fe2d447d8576cecdf249579162eae54ad21bdd4a1ad3421da13b5ee30e347d813990f55288c09b85e
+DIST python_dbusmock-0.38.1.tar.gz.provenance 9593 BLAKE2B ef364b3158a1c6ab670bdff39e7c18f384aa96e841eec525ce0e81d45826825edf39b9a147563ac343b17dc0a21395fdf5ecb89ee0e13df3e6750faf9c5480e9 SHA512 0a052310133b95b03eded22314b5f2a936c2ca1b57f3725eadc639449c4c6d64c9811d2d260b84db29762874b574faa930c2dd9e903ae008121f4ca22ecaed9d
diff --git a/dev-python/python-dbusmock/metadata.xml b/dev-python/python-dbusmock/metadata.xml
new file mode 100644
index 000000000000..02b078da05f7
--- /dev/null
+++ b/dev-python/python-dbusmock/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="github">martinpitt/python-dbusmock</remote-id>
+ <remote-id type="pypi">python-dbusmock</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-dbusmock/python-dbusmock-0.38.1.ebuild b/dev-python/python-dbusmock/python-dbusmock-0.38.1.ebuild
new file mode 100644
index 000000000000..fa285facf2d4
--- /dev/null
+++ b/dev-python/python-dbusmock/python-dbusmock-0.38.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/martinpitt/python-dbusmock
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easily create mock objects on D-Bus for software testing"
+HOMEPAGE="
+ https://github.com/martinpitt/python-dbusmock/
+ https://pypi.org/project/python-dbusmock/
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ sys-power/upower
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # linter tests, fragile to newer linter versions
+ tests/test_code.py
+)
+
+src_prepare() {
+ # dev-python/dbus-python uses autotools, so no .dist-info there
+ sed -i '/dbus-python/d' pyproject.toml setup.cfg || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # tests are fragile to long socket paths
+ local -x TMPDIR=/tmp
+ # Tests break if XDG_DATA_DIRS is modified by flatpak install
+ unset XDG_DATA_DIRS
+ epytest
+}